Несколько уязвимостей в Brim

Дата публикации:
01.09.2008
Всего просмотров:
1639
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-4082
CVE-2008-4083
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Brim 2.x
Уязвимые версии: Brim 2.0.0, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "name" в сценарии index.php, когда параметр "plugin" установлен в значение "bookmarks" и парамер "action" равен "addItemPost". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости, атакующий и целевой пользователь должны иметь действительные учетные данные.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "value" в сценарии index.php, когда параметр "plugin" установлен в значение "tasks" и параметр "action" равен "searchTasks". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости атакующий дожжен иметь действительные учетные данные и опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: www.brim-project.org

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA